using System;

namespace Danica
{
    class Program
    {     
        static int ToInt(char c)
        {
            return (int)(c - '0');
        }
        static void Main(string[] args)
        {
            string X = Console.ReadLine();

            string Y = Console.ReadLine();

            string max = X;
            string min = Y;
            if (X.Length < Y.Length)
            {
                max = Y;
                min = X;
            }

            int broj = 0;
            int desetica = 1;
            int i = 1;
            int j = 1;
            bool manji = false;

            while (i < max.Length + 1) 
            {
                if (!(j < min.Length + 1)) manji = true;
                if (!manji && ToInt(min[min.Length - j]) > ToInt(max[max.Length - i])) broj += ToInt(min[min.Length - j]) * desetica;
                else if (!manji && ToInt(min[min.Length - j]) < ToInt(max[max.Length - i])) broj += ToInt(max[max.Length - i]) * desetica;
                else if (!manji && ToInt(min[min.Length - j]) == ToInt(max[max.Length - i])) 
                {
                    desetica *= 10;
                    broj += ToInt(max[max.Length - i]) * desetica / 10 + ToInt(min[min.Length - j]) * desetica;
                }
                else if ( manji) broj += ToInt(max[max.Length - i]) * desetica;

              
                desetica *= 10;
                i++;
                j++;
            }

            Console.WriteLine(broj);

        }
    }
}